Subject: [Idr] New Version Notification for draft-raszuk-idr-bgp-pr-00.txt

From: Robert Raszuk <[email-masked]>
Date: Thu, 24 Jul 2014 00:17:18 +0200

Hello,

Based on the Monday's IDR WG meeting and in particular two presentations
recommending collection of two different data sets from transit BGP
speakers I took a moment today to write up a short proposal for more
general encoding format to accommodate such collection and propagation.

In fact as there is more useful operational information to be collected
from BGP speakers instead of defining new BGP attribute for each such data
type I propose a single structured attribute of BGP Path Record.

Another benefit is to help any future proposals to focus on their specific
application needs and definition of data to be carried without worry about
the envelope it will be placed within.

Suggested sub-TLVs in the document are optional and it is to the WG input
if those proposed get WG consensus or that perhaps more sub-TLVs of BGP Hop
TLV will be suggested for inclusion.

Comments and feedback is very welcome ;)

Best regards,
Robert Raszuk.

- - -

A new version of I-D, draft-raszuk-idr-bgp-pr-00.txt
has been successfully submitted by Robert Raszuk and posted to the
IETF repository.

Name:           draft-raszuk-idr-bgp-pr
Revision:       00
Title:          BGP Path Record Attribute
Document date:  2014-07-23
Group:          Individual Submission
Pages:          10
URL:
http://www.ietf.org/internet-drafts/draft-raszuk-idr-bgp-pr-00.txt
Status:         https://datatracker.ietf.org/doc/draft-raszuk-idr-bgp-pr/
Htmlized:       http://tools.ietf.org/html/draft-raszuk-idr-bgp-pr-00

Abstract:
   BGP protocol today contains number of build in mechanisms which
   record critical for its loop free operation data along the path of
   BGP message propagation.  Those are encoded in AS_PATH,
​
 ​
CLUSTER_LIST  or ORIGINATOR_ID attributes.  However in the
​
same time there is no  provisioning to record other useful information
​ ​
along the path which  can be helpful to the operator in order to enhance
​ ​
end to end  visibility of BGP control plane.

   In order to solve this problem this document proposes a new single
   BGP attribute designed as an generic and extensible container to
   carry number of new optional information corresponding to the BGP
   speakers given BGP advertisement (or withdraw) message traverses.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat